.day {padding-bottom:35px;}

.day .ss div.sn {color:#ffffff;}
.day .ss div.st {color:#2c2c2c;}


:root {
	--ss-B0: Tan;
	--ss-B: #ec718b;
	--ss-K: #f24e0d;
	--ss-S: RoyalBlue;
	--ss-M: MidnightBlue;
	--ss-H: DarkCyan;
	--ss-F: OliveDrab;
}


.day .ss[sc-type="B"]:not([si-idx="B0"]) {background-color:var(--ss-B);}
.day .ss[sc-type="B"]:not([si-idx="B0"]) > .sn {font-size:16px;}

.day .ss[sc-type="B"][si-idx="B0"] .dv {color:var(--ss-B0);}
.day .ss[sc-type="B"]:not([si-idx="B0"]) .dv,
.day .ss[sc-type="B"]:not([si-idx="B0"]) .st {color:var(--ss-B);}
.day tbody tr:has(> td > .ss[sc-type="B"]) > th.tm {color:var(--ss-B);}

.day .ss[sc-type="B"][si-idx="B0"] {background-color:var(--ss-B0);}
.day .ss[sc-type="B"][si-idx="B0"] > .sn {padding-top:4px;font-size:14px;font-style:oblique;letter-spacing:0;}
.day tbody tr:has(> td > .ss[sc-type="B"][si-idx="B0"]) > th.tm {color:var(--ss-B0);}

.day .ss[sc-type="B"][si-idx] > .sn::before {padding:0px 3px;font-style:normal;}
.day .ss[sc-type="B"][si-idx="B0"] > .sn::before {content:"☕︎";}
.day .ss[sc-type="B"][si-idx="B3"] > .sn::before {content:"📷︎";}
.day .ss[sc-type="B"][si-idx="B4"] > .sn::before {content:"🍝";}
.day .ss[sc-type="B"][si-idx="B5"] > .sn::before {content:"♕";}



.day .ss[sc-type] > .ds_set div.ds::before {color:rgba(255, 255, 255, 0.7);}


.day .ss[sc-type="KEY"] {background-color:var(--ss-K);}
.day .ss[sc-type="KEY"] > .ds_set div.ds::before {background-color:var(--ss-K);}
.day .ss[sc-type="KEY"]  .dv,
.day .ss[sc-type="KEY"] .st {color:var(--ss-K);}
.day tbody tr:has(> td > .ss[sc-type="KEY"]) > th.tm {color:var(--ss-K);}

.day .ss[sc-type="S"] {background-color:var(--ss-S);}
.day .ss[sc-type="S"] > .ds_set div.ds::before {background-color:var(--ss-S);}
.day .ss[sc-type="S"]  .dv,
.day .ss[sc-type="S"]  .st {color:var(--ss-S);}
.day tbody tr:has(> td > .ss[sc-type="S"]) > th.tm {color:var(--ss-S);}

.day .ss[sc-type="MOU"] {background-color:var(--ss-M);}
.day .ss[sc-type="MOU"] > .ds_set div.ds::before {background-color:var(--ss-M);}
.day .ss[sc-type="MOU"]  .dv,
.day .ss[sc-type="MOU"] .st {color:var(--ss-M);}

.day .ss[sc-type="HO"] {background-color:var(--ss-H);}
.day .ss[sc-type="HO"] > .ds_set div.ds::before {background-color:var(--ss-H);}
.day .ss[sc-type="HO"]  .dv,
.day .ss[sc-type="HO"] .st {color:var(--ss-H);}

.day .ss[sc-type="FP"] {background-color:var(--ss-F);}
.day .ss[sc-type="FP"] > .ds_set div.ds::before {background-color:var(--ss-F);}
.day .ss[sc-type="FP"]  .dv,
.day .ss[sc-type="FP"] .st {color:var(--ss-F);}



@media screen and (max-width: 501px) {
	.day .ss[sc-type="B"][si-idx] > .sn::before {padding:0px 2px;}
	.day .ss[sc-type="B"][si-idx="B4"] > .sn::before {content:"🍽";}
}